/*FiSysMgr - Utiltiy gui program to help in editing /etc/fstab file.
  Copyright (C) 2015 Barry Strong bstrong@softtechok.com

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef BACKUPDLG_H
#define BACKUPDLG_H

#include <QDialog>

namespace Ui {
    class BackupDlg;
}

class BackupDlg : public QDialog {
    Q_OBJECT

    public:
        explicit BackupDlg(QWidget *parent = 0);
        ~BackupDlg();
        int disableChecked();

    private slots:
        void on_pbOk_clicked();
        void on_cbDisable_stateChanged(int arg1);

    private:
        Ui::BackupDlg   *ui;
        int             disabled;
};

#endif // BACKUPDLG_H
