/*FiSysMgr - Utiltiy gui program to help in editing /etc/fstab file.
  Copyright (C) 2015 Barry Strong bstrong@softtechok.com

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef FSTABLEVIEW_H
#define FSTABLEVIEW_H

#include <QTableView>

class FSTableView : public QTableView {
    Q_OBJECT

    public:
        explicit FSTableView(QWidget *parent = 0);

    signals:
        void currentItemChanged(const QModelIndex & current, const QModelIndex & previous);

    public slots:

    protected:
        void currentChanged ( const QModelIndex & current, const QModelIndex & previous );

};

#endif // FSTABLEVIEW_H
