#-------------------------------------------------
#
# Project created by QtCreator 2015-01-20T12:45:25
#
#-------------------------------------------------

QT       += core network

equals(QT_MAJOR_VERSION, 4) {
    QT += phonon
}

equals(QT_MAJOR_VERSION, 5) {
    QT += widgets multimedia
}

TARGET = fisysmgr
TEMPLATE = app

INCLUDEPATH += include
INCLUDEPATH += /usr/include/samba-4.0

unix: LIBS += -lblkid
unix:!macx: LIBS += -lsmbclient

SOURCES +=\
    source/backupdlg.cpp \
    source/editdialog.cpp \
    source/fsdiskinfo.cpp \
    source/fsmmain.cpp \
    source/browsedlg.cpp \
    source/soundplayer.cpp \
    source/cifsinfo.cpp \
    source/tablemodel.cpp \
    source/fssortproxy.cpp \
    source/fstableview.cpp \
    source/optionsdlg.cpp \
    source/optchkbox.cpp \
    source/paramdlg.cpp \
    source/credsdialog.cpp \
    source/aboutbox.cpp \
    source/fisysmgr.cpp

HEADERS  += \
    include/backupdlg.h \
    include/editdialog.h \
    include/fsdiskinfo.h \
    include/fsmmain.h \
    include/browsedlg.h \
    include/soundplayer.h \
    include/cifsinfo.h \
    include/tablemodel.h \
    include/fssortproxy.h \
    include/fstableview.h \
    include/optionsdlg.h \
    include/optchkbox.h \
    include/paramdlg.h \
    include/credsdialog.h \
    include/aboutbox.h

FORMS    += \
    forms/backupdlg.ui \
    forms/editdialog.ui \
    forms/fsmmain.ui \
    forms/browsedlg.ui \
    forms/optionsdlg.ui \
    forms/paramdlg.ui \
    forms/credsdialog.ui \
    forms/aboutbox.ui

TRANSLATIONS = fisysmgr_fr.ts

RESOURCES += \
    resource/fisysmgr.qrc

binfiles.files += fisysmgr
binfiles.path = /usr/bin
appicon.files += resource/icons/fisysmgr.png
appicon.path = /usr/share/icons/hicolor/64x64/apps/
polkit.files += polkit/net.launchpad.bstrong-f.pkexec.fisysmgr.policy
polkit.path = /usr/share/polkit-1/actions/

INSTALLS += binfiles
INSTALLS += appicon
INSTALLS += polkit
