/*FiSysMgr - Utiltiy gui program to help in editing /etc/fstab file.
  Copyright (C) 2015 Barry Strong bstrong@softtechok.com

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#include <QApplication>
#include "fsmmain.h"

SoundPlayer *sPlayer;
QSettings   *settings;
QString     workgroup;
QString     username;
QString     password;
QString     curCreds;
Cifsinfo    cifsInfo;
FSDiskInfo  diskInfo;
QProcess    *helperProc;

int main(int argc, char *argv[]) {

//    QTranslator translator;

    QApplication a(argc, argv);
    QCoreApplication::setOrganizationName("SoftTech");
    QCoreApplication::setApplicationName("fisysmgr");

//    translator.load("fisysmgr_fr");
//    a.installTranslator(&translator);

    FsmMain w;
    w.show();
    return a.exec();
}
